Page Summary
-
This page describes how to list the targeting options assigned to a YouTube ad group using the Display & Video 360 API v2.
-
The API request uses a GET method with a specific URL structure including advertiser ID, YouTube ad group ID, and targeting type.
-
Path parameters are required to identify the specific advertiser, YouTube ad group, and targeting type for which to list assigned targeting options.
-
Query parameters like
pageSize,pageToken,orderBy, andfiltercan be used to control the pagination, sorting, and filtering of the results. -
The response body contains a list of
assignedTargetingOptionsobjects and anextPageTokenfor retrieving subsequent pages of results.
- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists the targeting options assigned to a YouTube ad group.
Inherited assigned targeting options are not included.
HTTP request
GET https://displayvideo.googleapis.com/v2/advertisers/{advertiserId}/youtubeAdGroups/{youtubeAdGroupId}/targetingTypes/{targetingType}/assignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the ad group belongs to. |
youtubeAdGroupId |
Required. The ID of the ad group to list assigned targeting options for. |
targetingType |
Required. Identifies the type of assigned targeting options to list. Supported targeting types include:
|
Query parameters
| Parameters | |
|---|---|
pageSize |
Requested page size. Must be between |
pageToken |
A token identifying a page of results the server should return. Typically, this is the value of |
orderBy |
Field by which to sort the list. Acceptable values are:
The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: |
filter |
Allows filtering by assigned targeting option fields. Supported syntax:
Supported fields:
Examples:
The length of this field should be no more than 500 characters. Reference our filter |
Request body
The request body must be empty.
Response body
Response message for assignedTargetingOptions.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"assignedTargetingOptions": [
{
object ( |
| Fields | |
|---|---|
assignedTargetingOptions[] |
The list of assigned targeting options. This list will be absent if empty. |
nextPageToken |
A token identifying the next page of results. This value should be specified as the |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.